

#ifndef __ezLicCustomKeyHandler_h
#define __ezLicCustomKeyHandler_h

#include <ezlmplat.h>

#ifdef __cplusplus
extern "C" {
#endif


/**
*	This function checks custom key value with a caller-supplied
*   custom key handler.
*	@param strCustomKey : The pointer to the custom key handler context.
*	@param strCustomKey : The custom key string.
*	@return : statuscode
*/
typedef int (*ezLicCustomKeyHandler_t)(void *keyCtx, const char *strCustomKey);


/*
*	This function returns the string containing keywords and values.
*	@param none
*	@return strKeyValuesString : string representation of keywords and values. 
*/
char *CALLING_CONVENTION getKeyValsStr(void);

/*
*	This function extracts a key-value for a particular keyword from 
*	the HashMap, containing all keywords and values, and returns the value.
*	@param strKeyword	: Keyword in the custom license key
*	@param strValue		: Buffer to receive value in the custom license key
*	@return statuscode
*/
int CALLING_CONVENTION getCustomKeyValue(const char* strKeyword, char strValue[], int strValueBufferSize);


#ifdef __cplusplus
}
#endif

#endif

