

#ifndef __EZLICSTATUSCODES_H
#define __EZLICSTATUSCODES_H

#define		EZLIC_EXC_NO_EXCEPTION 0

#define		EZLIC_EXC_WARNING 1


/**
* Base exception code (invalid)
*/
#define     EZLIC_EXC_BASE  -1
/**
* Malformed license key
*/
#define     EZLIC_EXC_MALFORMED_KEY  -2
/**
* Expired license key
*/
#define     EZLIC_EXC_EXPIRED  -3
/**
* Exceeded license quota
*/
#define     EZLIC_EXC_EXCEEDED_LIMITS  -4
/**
* Invalid host or user or network name
*/
#define     EZLIC_EXC_INVALID_HOST_USER_NET  -5
/**
* Invalid custom key
*/
#define     EZLIC_EXC_INVALID_CUSTOM_KEY  -6
/**
* Unimplemented feature
*/
#define     EZLIC_EXC_UNIMPLEMENTED  -7
/**
* Key generation error condition
*/
#define     EZLIC_EXC_GEN  -8
/**
* Vendor key parse error condition
*/
#define     EZLIC_EXC_VENDOR  -9
/**
* Internal error condition
*/
#define     EZLIC_EXC_INTERNAL  -10
/**
* OS error
*/
#define     EZLIC_EXC_OS  -11
/**
* EasyLicenser configuration error
*/
#define     EZLIC_EXC_CONFIG  -12
/**
* Unlicensed option
*/
#define     EZLIC_EXC_UNLICENSED_OPTION  -13



/**
* Warning codes
*/
/**
* Expiration date approaching
*/
#define     EZLIC_WARN_EXPIRING  1
/**
* Reaching quota limit
*/
#define     EZLIC_WARN_QUOTA  2
/**
* Gone past expiration date and in grace period
*/
#define     EZLIC_WARN_EXPIRED  4
/**
* Exceeded quota limit and in grace quota
*/
#define     EZLIC_WARN_QUOTA_EXCEEDED  8


#endif


