Attribute VB_Name = "ezLicenserlib11"

Option Explicit

'Declare the exported functions from the DLL.

' Check the specified license key against the provided info for key violations.
'   @param ezLicInfoInstancep       pointer to license info context.
'   @param strEncodedLicenseKey     The license key in encryptred form.
'   @param lDaysLeftThreshold       threshold for # of days remaining in a time-limited license in order
'                                       to trigger an "about-to-expire" warning.
'   @param lQuotaUsageToDate        Total Number of license units used.
'   @param lQuotaThreshold          Threshold for # of license units remaining in a usage-limited license in order
'                                       to trigger an "about-to-expire" warning.
'   @param iDaysGracePeriod         Number of days given as grace beyond the expiry date .
'   @param lQuotaGrace              Number of license units given as grace.
'   @param strUserHostName          User or Host name.
'   @return warning code bitmap to indicate almost-out-of-quota, expiring, etc., or exception code if negative.
Public Declare Function checkSingleUserLicenseKeyBasic Lib "ezLicenserlib11.dll" _
                            Alias "_checkSingleUserLicenseKeyBasic@32" _
                            (ByVal ezLicInfoInstancep As Long, _
                            ByVal strEncodedLicenseKey As String, _
                            ByVal lDaysLeftThreshold As Long, _
                            ByVal lQuotaUsageToDate As Long, _
                            ByVal lQuotaThreshold As Long, _
                            ByVal iDaysGracePeriod As Long, _
                            ByVal lQuotaGrace As Long, _
                            ByVal strUserHostName As String) As Long


' Check the specified license key against the provided info for key violations.
'   @param ezLicInfoInstancep       pointer to license info context.
'   @param strEncodedLicenseKey     The license key in encrypted form.
'   @param lDaysLeftThreshold       threshold for # of days remaining in a time-limited license in order
'                                       to trigger an "about-to-expire" warning.
'   @param lQuotaUsageToDate        Total Number of license units used.
'   @param lQuotaThreshold          Threshold for # of license units remaining in a usage-limited license in order
'                                       to trigger an "about-to-expire" warning.
'   @param lDaysGracePeriod         Number of days given as grace beyond the expiry date .
'   @param lQuotaGrace :            Number of license units given as grace.
'   @param strUserHostName          User or Host name.
'   @param lCurrUsageValue          Total Number of users unsing the license.
'   @return warning code bitmap to indicate almost-out-of-quota, expiring, etc.
Public Declare Function checkMultiUserLicenseKeyBasic Lib "ezLicenserlib11.dll" _
                            Alias "_checkMultiUserLicenseKeyBasic@36" _
                            (ByVal ezLicInfoInstancep As Long, _
                            ByVal strEncodedLicenseKey As String, _
                            ByVal lDaysLeftThreshold As Long, _
                            ByVal lQuotaUsageToDate As Long, _
                            ByVal lQuotaThreshold As Long, _
                            ByVal lDaysGracePeriod As Long, _
                            ByVal lQuotaGrace As Long, _
                            ByVal strUserHostName As String, _
                            ByVal lCurrUsageValue As Long) As Long
' Allocate license info
' @param none
' @ return pointer to new ezLicenseInfo object
Public Declare Function allocLicenseInfo Lib "ezLicenserlib11.dll" _
                            Alias "_allocLicenseInfo@0" () As Long
' Free license info
' @param ezlicenseInfo : pointer to the object to be freed
Public Declare Sub freeLicenseInfo Lib "ezLicenserlib11.dll" _
                            Alias "_freeLicenseInfo@4" _
                            (ByVal ezlicenseInfo As Long)
                            
' @param ezLicInfoInstance :  pointer to object contaning state variables.
' @return license model code
Public Declare Function getLicenseModelCode Lib "ezLicenserlib11.dll" _
                            Alias "_getLicenseModelCode@4" _
                            (ByVal ezLicInfoInstance As Long) As Long
                            
' @param ezLicInfoInstance :  pointer to object contaning state variables.
' @return license type code
Public Declare Function getLicenseTypeCode Lib "ezLicenserlib11.dll" _
                            Alias "_getLicenseTypeCode@4" _
                            (ByVal ezLicInfoInstance As Long) As Long
                            
' @param ezLicInfoInstance :  pointer to object contaning state variables.
' @return enforce code
Public Declare Function getEnforce Lib "ezLicenserlib11.dll" _
                            Alias "_getEnforce@4" _
                            (ByVal ezLicInfoInstance As Long) As Long
                            

'   returns custom key from license info instance into supplied buffer
'   @param ezLicInfoInstance :  pointer to object containing license info.
'   @param strBuffer : string buffer into which to return custom key
'   @return : 0 if success, 1 if buffer overflow, -1 if internal error
Public Declare Function getCustomKeyStr Lib "ezLicenserlib11.dll" _
                            Alias "_getCustomKeyStr@12" _
                            (ByVal ezLicInfoInstance As Long, _
                            ByVal strBuffer As String, _
                            ByVal bufferSize As Long) As Long
                            
' returns custom cookie from license info instance into supplied buffer
'   @param ezLicInfoInstance :  pointer to object containing license info.
'   @param strBuffer: string buffer into which to return custom cookie
'   @return: 0 if success, 1 if buffer overflow, -1 if internal error
Public Declare Function getCustomCookieStr Lib "ezLicenserlib11.dll" _
                            Alias "_getCustomCookieStr@12" _
                            (ByVal ezLicInfoInstance As Long, _
                            ByVal strBuffer As String, _
                            ByVal bufferSize As Long) As Long

' returns user/host/network from license info instance into supplied buffer
'   @param ezLicInfoInstance :  pointer to object containing license info.
'   @param strBuffer: string buffer into which to return user / host / network name
'   @return: 0 if success, 1 if buffer overflow, -1 if internal error
Public Declare Function getUserHostNetNameStr Lib "ezLicenserlib11.dll" _
                            Alias "_getUserHostNetNameStr@12" _
                            (ByVal ezLicInfoInstance As Long, _
                            ByVal strBuffer As String, _
                            ByVal bufferSize As Long) As Long

' returns expiration date/time string from license info instance into supplied buffer
'   @param ezLicInfoInstance :  pointer to object containing license info.
'   @param strBuffer: string buffer into which to return expiration date string
'   @return: 0 if success, 1 if buffer overflow, -1 if internal error
Public Declare Function getExpirationTimeStr Lib "ezLicenserlib11.dll" _
                            Alias "_getExpirationTimeStr@12" _
                            (ByVal ezLicInfoInstance As Long, _
                            ByVal strBuffer As String, _
                            ByVal bufferSize As Long) As Long

' returns options string from license info instance into supplied buffer
'   @param ezLicInfoInstance :  pointer to object containing license info.
'   @param strBuffer: string buffer into which to return options string
'   @return: 0 if success, 1 if buffer overflow, -1 if internal error
Public Declare Function getOptionsStr Lib "ezLicenserlib11.dll" _
                            Alias "_getOptionsStr@12" _
                            (ByVal ezLicInfoInstance As Long, _
                            ByVal strBuffer As String, _
                            ByVal bufferSize As Long) As Long

'   @param ezLicInfoInstance :  pointer to object contaning state variables.
'   @return quota limit value, -1 if no quota limit.
Public Declare Function getQuotaValue Lib "ezLicenserlib11.dll" _
                            Alias "_getQuotaValue@4" _
                            (ByVal ezLicInfoInstance As Long) As Long
                            
'   @param ezLicInfoInstance :  pointer to object contaning state variables.
'   @return usage limit value (cpu / CPU MHZ etc.) for
' the license key, -1 if no limit.
Public Declare Function getUsageValue Lib "ezLicenserlib11.dll" _
                            Alias "_getUsageValue@4" _
                            (ByVal ezLicInfoInstance As Long) As Long
